List Lidarr metadata profiles
const url = 'https://example.com/api/v1/pcd/1/lidarr-metadata-profiles';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/pcd/1/lidarr-metadata-profilesReads Lidarr metadata profiles from a PCD database.
Metadata profiles are a Lidarr-only entity family and are not available for Radarr or Sonarr entities.
Read payloads are list DTOs that expose counts, not full type payloads.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”PCD database ID
Responses
Section titled “Responses”Metadata profile list
object
Local profile id in PCD cache
Optional Praxrr-only description for local documentation.
Last profile update timestamp in the PCD cache
Total number of primary types represented in the profile
Total number of secondary types represented in the profile
Total number of release statuses represented in the profile
Number of allowed primary types
Number of allowed secondary types
Number of allowed release statuses
Examplegenerated
[ { "id": 1, "name": "example", "description": "example", "updated_at": "example", "primaryTypeCount": 1, "secondaryTypeCount": 1, "releaseStatusCount": 1, "primaryAllowedCount": 1, "secondaryAllowedCount": 1, "releaseStatusAllowedCount": 1 }]Missing or invalid databaseId
object
Optional machine-readable error code, for example sync_in_progress or preview_stale
Examplegenerated
{ "error": "example", "code": "example"}Database not found
object
Optional machine-readable error code, for example sync_in_progress or preview_stale
Examplegenerated
{ "error": "example", "code": "example"}Failed to read cache
object
Optional machine-readable error code, for example sync_in_progress or preview_stale
Examplegenerated
{ "error": "example", "code": "example"}